Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageContinuousErode3D Class Reference

`#include <vtkImageContinuousErode3D.h>`

Inheritance diagram for vtkImageContinuousErode3D:

[legend]
Collaboration diagram for vtkImageContinuousErode3D:

[legend]
List of all members.

## Detailed Description

Erosion implemented as a minimum.

Date:
  2003/01/09 19:21:05

Revision:
  1.22

vtkImageContinuousErode3D replaces a pixel with the minimum over an ellipsoidal neighborhood. If KernelSize of an axis is 1, no processing is done on that axis.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (80%)
  - Martin, Ken (9%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageContinuousErode3D.cxx)`
  - .`h` (`/Imaging/vtkImageContinuousErode3D.h)`

Tests:
  vtkImageContinuousErode3D (Tests)

Definition at line 49 of file vtkImageContinuousErode3D.h.

## [NOHEADER]
typedef vtkImageSpatialFilter | Superclass
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkImageContinuousErode3D * | New ()
int | IsTypeOf (const char *type)
vtkImageContinuousErode3D * | SafeDownCast (vtkObject *o)
## Public Methods
void | SetKernelSize (int size0, int size1, int size2)
## Protected Methods
| vtkImageContinuousErode3D ()
| ~vtkImageContinuousErode3D ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
vtkImageEllipsoidSource * | Ellipse

## Member Typedef Documentation

typedef vtkImageSpatialFilter vtkImageContinuousErode3D::Superclass

| Reimplemented from vtkImageSpatialFilter. Definition at line 56 of file vtkImageContinuousErode3D.h.

## Constructor & Destructor Documentation

vtkImageContinuousErode3D::vtkImageContinuousErode3D | ( |  | ) | `[protected]`

vtkImageContinuousErode3D::~vtkImageContinuousErode3D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageContinuousErode3D* vtkImageContinuousErode3D::New | ( |  | ) | `[static]`

| Construct an instance of vtkImageContinuousErode3D filter. By default zero values are eroded. Reimplemented from vtkImageSpatialFilter.

virtual const char* vtkImageContinuousErode3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSpatialFilter.

int vtkImageContinuousErode3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

virtual int vtkImageContinuousErode3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

vtkImageContinuousErode3D* vtkImageContinuousErode3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageContinuousErode3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSpatialFilter.

void vtkImageContinuousErode3D::SetKernelSize | ( | int | size0,
|  | int | size1,
|  | int | size2
| ) |

| This method sets the size of the neighborhood. It also sets the default middle of the neighborhood and computes the elliptical foot print.

void vtkImageContinuousErode3D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

vtkImageEllipsoidSource* vtkImageContinuousErode3D::Ellipse`[protected]`

| Definition at line 69 of file vtkImageContinuousErode3D.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageContinuousErode3D.h